Bug 151599 - openoffice misses additional software
openoffice misses additional software
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-20 12:20 EST by Quereller
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-23 11:03:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Quereller 2005-03-20 12:20:33 EST
Description of problem:
openoffice.org needs additional software installed to run


How reproducible: always


Steps to Reproduce:
1. try to start oowriter
2. install J2RE
3. try to start oowriter
  
Actual results:
error 1:
javaldx: Could not find a Java Runtime Environment!
no suitable windowing system found, exiting.
error 2:
no suitable windowing system found, exiting.

Expected results:
office starts

Additional info:
solution:
Install jre-1.5.0_02-fcs.i586 (external) and startup-notification.i386
Comment 1 Caolan McNamara 2005-03-21 03:57:56 EST
Actually libgcj should be sufficient, I've added a Requires on libgcj which is
what should be necessary rather than the Sun java offering.
Comment 2 Quereller 2005-04-16 13:35:30 EDT
Fresh network-install of FC4T2 "Standard Desktop"

Had to remove libgcj.x86_64 and to install libgcj.i386 and
startup-notification.i386 to make it run.
Comment 3 Caolan McNamara 2005-04-18 04:52:56 EDT
What version was in FC4T2, I believe this to be fixed in >= 1.9.89-4, in a
current rawhide package. 
e.g.
rpm -qRp openoffice.org-core-1.9.92-2.i386.rpm | grep libgcj
libgcj >= 4.0.0
rpm -qRp openoffice.org-core-1.9.92-2.i386.rpm | grep startup
libstartup-notification-1.so.0
Comment 4 Quereller 2005-04-23 11:03:05 EDT
it was openoffice.org-core-1.9.89-3, it's fixed in 1.9.92-2

Thanks

Note You need to log in before you can comment on or make changes to this bug.